GET /v1/metrics/runs-timeseries
Get time-series data for workflow runs (total, success, failure)
GET
/v1/metrics/runs-timeseries
Get time-series data for workflow runs (total, success, failure)
Query Parameters
from
integer
required
query
Start timestamp (Unix milliseconds)
to
integer
required
query
End timestamp (Unix milliseconds)
granularity
string
required
query
Granularity (hourly or daily)
Responses
200
OK
application/jsoncode
integer
data
object
data
object[]
Time-series data points
Array of:
bucketStart
string
failure
integer
partial
integer
success
integer
total
integer
granularity
string
"hourly" or "daily"
message
string
requestId
string
400
Bad Request
500
Internal Server Error
curl -X GET 'https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "data": [ { "bucketStart": "<string>", "failure": 123, "partial": 123, "success": 123, "total": 123 } ], "granularity": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/metrics/runs-timeseries
